---
updatedAt: 2026-06-18T06:12:47.000Z
agentTools:
  projectIndex: https://developer.hellozai.com/llms.txt
---

# Create Bank Account

Create a **Bank Account** to be used as either a funding source or a Disbursement destination. Store the returned `:id` and use it for a `make_payment` **Item Action** call. The `:id` is also referred to as a `token` when involving **Bank Accounts**. 


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Assembly API",
    "description": "Assembly (formely PromisePay) is a powerful payments engine custom-built for platforms and marketplaces.",
    "version": "2.4",
    "contact": {
      "email": "support@assemblypayments.com",
      "url": "http://docs.assemblypayments.com/"
    }
  },
  "servers": [
    {
      "url": "https://test.api.promisepay.com",
      "description": "Pre-live environment"
    },
    {
      "url": "https://secure.api.promisepay.com",
      "description": "Production environment"
    },
    {
      "url": "https://au-0000.sandbox.auth.assemblypay.com",
      "description": "Pre-Live (Sandbox) Auth issuing server and API"
    },
    {
      "url": "https://au-0000.auth.assemblypay.com",
      "description": "Production Auth issuing server and API"
    },
    {
      "description": "SwaggerHub API Auto Mocking",
      "url": "https://virtserver.swaggerhub.com/AssemblyPlatforms/assembly-api/2.1"
    }
  ],
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "ruby",
    "php",
    "javascript",
    "csharp",
    "go"
  ],
  "paths": {
    "/bank_accounts": {
      "post": {
        "tags": [
          "Bank Accounts"
        ],
        "summary": "Create Bank Account",
        "description": "Create a **Bank Account** to be used as either a funding source or a Disbursement destination. Store the returned `:id` and use it for a `make_payment` **Item Action** call. The `:id` is also referred to as a `token` when involving **Bank Accounts**. \n",
        "operationId": "createBankAccount",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "oneOf": [
                  {
                    "$ref": "#/components/schemas/bank_account_requestBody_au"
                  }
                ]
              },
              "examples": {
                "au_request": {
                  "summary": "bank account request body for AU",
                  "value": {
                    "user_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
                    "bank_name": "Bank of Australia",
                    "account_name": "Samuel Seller",
                    "routing_number": "111123",
                    "account_number": "111234",
                    "account_type": "savings",
                    "holder_type": "personal",
                    "country": "AUS"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/bank_account_au"
                    }
                  ]
                },
                "examples": {
                  "response_AU": {
                    "value": {
                      "bank_accounts": {
                        "id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
                        "active": true,
                        "verification_status": "in_progress",
                        "currency": "AUD",
                        "bank": {
                          "bank_name": "Bank of Australia",
                          "country": "AUS",
                          "account_name": "Samuel Seller",
                          "routing_number": "XXXXX3",
                          "account_number": "XXX234",
                          "iban": "null,",
                          "swift_code": "null,",
                          "holder_type": "personal",
                          "account_type": "checking",
                          "direct_debit_authority_status": "approved"
                        },
                        "links": {
                          "self": "/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
                          "users": "/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users",
                          "direct_debit_authorities": "/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/direct_debit_authorities"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "bank_account_au": {
        "type": "object",
        "properties": {
          "bank_accounts": {
            "type": "object",
            "properties": {
              "active": {
                "type": "boolean",
                "example": true
              },
              "created_at": {
                "type": "string",
                "format": "date-time"
              },
              "updated_at": {
                "type": "string",
                "format": "date-time"
              },
              "id": {
                "type": "string",
                "format": "uuid",
                "example": "46deb476-c1a6-41eb-8eb7-26a695bbe5bc"
              },
              "currency": {
                "type": "string",
                "example": "AUD"
              },
              "verification_status": {
                "type": "string",
                "enum": [
                  "not_verified",
                  "in_progress",
                  "processed"
                ],
                "example": "not_verified"
              },
              "verification": {
                "type": "object",
                "properties": {
                  "verified_at": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "verification_method": {
                    "type": "string",
                    "enum": [
                      "COP"
                    ]
                  },
                  "result": {
                    "type": "object",
                    "properties": {
                      "match_result": {
                        "type": "string",
                        "enum": [
                          "MTCH",
                          "MTCO",
                          "CMTC",
                          "WMTC",
                          "NMTC",
                          "NMTO",
                          "NINF",
                          "NFND",
                          "CLSD"
                        ]
                      }
                    }
                  }
                }
              },
              "bank": {
                "type": "object",
                "properties": {
                  "bank_name": {
                    "type": "string",
                    "example": "Bank of Australia"
                  },
                  "country": {
                    "type": "string",
                    "example": "AUS"
                  },
                  "account_name": {
                    "type": "string",
                    "example": "Samuel Seller"
                  },
                  "routing_number": {
                    "type": "string",
                    "example": "XXXXX3"
                  },
                  "account_number": {
                    "type": "string",
                    "example": "XXX234"
                  },
                  "holder_type": {
                    "type": "string",
                    "enum": [
                      "personal",
                      "business"
                    ],
                    "example": "personal"
                  },
                  "account_type": {
                    "type": "string",
                    "enum": [
                      "savings",
                      "checking"
                    ],
                    "example": "checking"
                  },
                  "direct_debit_authority_status": {
                    "type": "string",
                    "readOnly": true,
                    "enum": [
                      "null",
                      "approved"
                    ],
                    "example": "approved"
                  }
                }
              },
              "links": {
                "type": "object",
                "properties": {
                  "self": {
                    "type": "string"
                  },
                  "users": {
                    "type": "string"
                  },
                  "direct_debit_authorities": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      },
      "bank_account_requestBody_au": {
        "type": "object",
        "required": [
          "user_id",
          "bank_name",
          "account_name",
          "routing_number",
          "account_number",
          "account_type",
          "holder_type",
          "country"
        ],
        "properties": {
          "user_id": {
            "description": "User ID",
            "type": "string",
            "default": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
            "example": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"
          },
          "bank_name": {
            "description": "Bank name",
            "type": "string",
            "default": "Bank of Australia",
            "example": "Bank of Australia"
          },
          "account_name": {
            "description": "Account name",
            "type": "string",
            "default": "Samuel Seller",
            "example": "Samuel Seller"
          },
          "routing_number": {
            "description": "*Required conditionally* - Routing number / BSB number. See [Bank account formats by country](https://developer.assemblypayments.com/docs/input-formats).\n",
            "type": "string",
            "default": "111123",
            "example": "111123"
          },
          "account_number": {
            "description": "Account number. See [Bank account formats by country](https://developer.assemblypayments.com/docs/input-formats).\n",
            "type": "string",
            "default": "111234",
            "example": "111234"
          },
          "account_type": {
            "description": "Bank account type (savings or checking)",
            "type": "string",
            "enum": [
              "savings",
              "checking"
            ],
            "default": "checking",
            "example": "checking"
          },
          "holder_type": {
            "description": "Holder type (personal or business)",
            "type": "string",
            "enum": [
              "personal",
              "business"
            ],
            "default": "personal",
            "example": "personal"
          },
          "country": {
            "description": "[ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#Officially_assigned_code_elements) country code (3 char)",
            "type": "string",
            "maxLength": 3,
            "default": "AUS",
            "example": "AUS"
          },
          "payout_currency": {
            "description": "[ISO 4217 alpha-3](https://en.wikipedia.org/wiki/ISO_4217#Active_codes) currency code. This parameter determines the currency with which funds are paid out.",
            "type": "string",
            "example": "AUD"
          },
          "currency": {
            "description": "[ISO 4217 alpha-3](https://en.wikipedia.org/wiki/ISO_4217#Active_codes) currency code. This is an optional field and if not provided, the item will be created with the default currency of the marketplace.",
            "type": "string",
            "example": "AUD"
          }
        }
      }
    },
    "securitySchemes": {
      "oAuth2ClientCredentials": {
        "type": "oauth2",
        "description": "Please refer to Authentication section within https://developer.assemblypayments.com/reference#authentication",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://au-0000.sandbox.auth.assemblypay.com/tokens",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "oAuth2ClientCredentials": []
    }
  ],
  "x-proxy-enabled": true,
  "x-samples-enabled": true
}
```